# Class CustomArgumentException

Namespace
  adas_core.Application.Exceptions

Assembly
  adas-core.Application.dll

Represents a custom exception that is thrown when one or more arguments provided to a method are invalid.

    public class CustomArgumentException : Exception, ISerializable

Inheritance
  object
  Exception
  CustomArgumentException

Implements
  ISerializable

Inherited Members
  Exception.GetBaseException()
  Exception.GetType()
  Exception.ToString()
  Exception.Data
  Exception.HelpLink
  Exception.HResult
  Exception.InnerException
  Exception.Message
  Exception.Source
  Exception.StackTrace
  Exception.TargetSite
  Exception.SerializeObjectState
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Remarks

This exception extends the base Exception class to provide a domain-specific error type for argument validation failures.

## Constructors

### CustomArgumentException(string)

Initializes a new instance of the CustomArgumentException class with a specified error message.

    public CustomArgumentException(string message)

#### Parameters

`message` string

  The error message that describes the reason for the exception.

### CustomArgumentException(ErrorMessage)

Initializes a new instance of the CustomArgumentException class with the specified error message.

    public CustomArgumentException(HttpEnum.ErrorMessage message)

#### Parameters

`message` HttpEnum.ErrorMessage

  The error message from the HttpEnum.ErrorMessage enumeration.